% Intervalo de tempo
t0 = 0;             % Tempo inicial
tf = 3;             % Tempo final

% Condicoes iniciais
x0 = pi/4;          % Valor inicial

% Definindo eqquacao diferencial
F = @(t,z) Exemplo(t,z);

% Primeiro passo para o método de Euler
h = 0.1;           % Passo de tempo;

% Resolvendo pelo metodo de Euler
z = Euler(t0,tf,h,x0,F);

% Representacao grafica dos resultados
figure;
plot(z)
hold on

% Segundo passo para o método de Euler
h = 0.01;           % Passo de tempo;

% Resolvendo pelo metodo de Euler
z = Euler(t0,tf,h,x0,F);

% Representacao grafica dos resultados
plot(z)

% Passo para o método de Runge-Kutta
h = 0.1;           % Passo de tempo;

% Resolvendo pelo metodo de Runge-Kutta
z = RK4(t0,tf,h,x0,F);

% Representacao grafica dos resultados
plot(z)


